/*
 * This software was created for education purposes.
 * Copy, modification and distribution are allowed 
 * only if original authors are indicated.  
 */
package review.calculette;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author kirsch
 */
public class CalculetteSimpleTest {
    
    public CalculetteSimpleTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }
    
    @Before
    public void setUp() {
    }
    
    @After
    public void tearDown() {
    }

    /**
     * Test of somme method, of class CalculetteSimple.
     */
    @Test
    public void testSomme() {
        System.out.println("somme");
        int a = 2;
        int b = -2;
        CalculetteSimple instance = new CalculetteSimple();
        
        int expResult = 0;       
        int result = instance.somme(a, b);
        
        assertEquals(expResult, result);
    }

    /**
     * Test of soustraction method, of class CalculetteSimple.
     */
    @Test
    public void testSoustraction() {
        System.out.println("soustraction");
        int a = 2;
        int b = 2;
        CalculetteSimple instance = new CalculetteSimple();
        
        int expResult = 0;        
        int result = instance.soustraction(a, b);
        
        assertEquals(expResult, result);
        
    }

    /**
     * Test of multiplication method, of class CalculetteSimple.
     */
    @Test
    public void testMultiplication() {
        System.out.println("multiplication");
        int a = 2;
        int b = 0;
        CalculetteSimple instance = new CalculetteSimple();
        
        int expResult = 0;        
        int result = instance.multiplication(a, b);
        
        assertEquals(expResult, result);
    }

    /**
     * Test of division method, of class CalculetteSimple.
     */
    @Test
    public void testDivision() {
        System.out.println("division");
        int a = 4;
        int b = 2;
        CalculetteSimple instance = new CalculetteSimple();
        
        int expResult = 2;        
        int result = instance.division(a, b);
        
        assertEquals(expResult, result);
    }
    
    /**
     * Test of division by zero.     
     */
    @Test( expected = ArithmeticException.class)
    public void testDivisionByZero() {
        System.out.println("division par zero");
        int a = 2;
        int b = 0;
        CalculetteSimple instance = new CalculetteSimple();
        
        int expResult = 0;        
        int result = instance.division(a, b);
        
        assertEquals(expResult, result);
    }
}
