/*
 * This software was created for education purposes.
 * Copy, modification and distribution are allowed 
 * only if original authors are indicated.  
 */
package review.calculette;

/*import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;*/
import org.junit.*;
import static org.junit.Assert.*;

/**
 * Exemple de TestCase pour la classe Calculette
 * Note : ce TestCase est incomplet. 
 * @author kirsch
 */
public class CalculetteTest {
    //jeu de donnees de test
    private int zero;
    private int positif;
    private int negatif;
    private float reel;
    private Calculette calc;
    
    public CalculetteTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
       System.out.println("Staring tests for Calculette class");

    }

    @AfterClass
    public static void tearDownClass() throws Exception {
        System.out.println("Closing tests for Calculette class");
    }
    
    @Before
    public void setUp() {
        System.out.println("Defining test data");
        zero=0;
        positif=2;
        negatif=-2;
        reel=(float) 2.5;     
        calc = new Calculette (positif, negatif, '+');
    }
    
    @After
    public void tearDown() {
        System.out.println("Closing test");
        calc = null;
    }

    /**
     * Test methode getA de la classe Calculette.
     * Une calculette vide doit retourner 0 aux getA et getB.
     */
    @Test
    public void testGetA() {
        System.out.println("getA");
        Calculette instance = new Calculette();
        int expResult = 0;
        int result = instance.getA();
        assertEquals(expResult, result);
    }

    /**
     * Test methode getA de la classe Calculette.
     * Une calculette vide doit retourner 0 aux getA et getB.
     */
    @Test
    public void testGetB() {
        System.out.println("getB");
        Calculette instance = new Calculette();
        int expResult = zero;
        int result = instance.getB();
        assertEquals(expResult, result);
    }

    /**
     * Test of setOperands method, of class Calculette.
     */
    @Test
    public void testSetOperands() {
        System.out.println("setOperands");
        
        Calculette instance = new Calculette();
        Calculette expected = new Calculette(positif, negatif, '+');
        
        instance.setOperands(this.positif, this.negatif);
        
        assertEquals(expected, instance);
    }

    /**
     * Test of getOperation method, of class Calculette.
     */
    @Test
    public void testGetOperation() {
        System.out.println("getOperation");
        Calculette instance = new Calculette();
        char expResult = '+';
        char result = instance.getOperation();
        assertEquals(expResult, result);
    }

    /**
     * Test of setOperation method, of class Calculette.
     */
    @Test
    public void testSetOperation() {
        System.out.println("setOperation");
        char val = 'x';
        char expected = 'x';
        Calculette instance = new Calculette();
        instance.setOperation(val);
        
        assertEquals(expected, instance.getOperation());
    }

    
    /**
     * Test of somme method, of class Calculette.
     */
    @Test
    public void testSomme() {
        System.out.println("somme");
        
        int expResult = 0; //2 + -2 = 0
        int result = calc.somme();
        assertEquals(expResult, result);
        
    }

    /**
     * Test of soustraction method, of class Calculette.
     */
    @Test
    public void testSoustraction() {
        System.out.println("soustraction");
        Calculette instance = new Calculette();
        int expResult = 0;
        int result = instance.soustraction();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of multiplication method, of class Calculette.
     */
    @Test
    public void testMultiplication() {
        System.out.println("multiplication");
        Calculette instance = new Calculette();
        int expResult = 0;
        int result = instance.multiplication();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of division method, of class Calculette.
     */
    @Test
    public void testDivision() {
        System.out.println("division");
        Calculette instance = new Calculette();
        int expResult = 0;
        int result = instance.division();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
    
    
    /**
     * Test of calcul method, of class Calculette.
     */
    @Test
    public void testCalcul() {
        System.out.println("calcul");
        Calculette instance = new Calculette();
        int expResult = 0;
        int result = instance.calcul();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

}
